plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.nexilis.streamshield)
}

android {
    namespace 'com.example.nexilissamplecodeshield'
    compileSdk 34

    defaultConfig {
        applicationId "com.example.nexilissamplecodeshield"
        minSdk 24
        targetSdk 35
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

//    packagingOptions {
//        exclude 'assets/fgs_icon.png'
//        exclude 'assets/nu_logo_ft.png'
//    }
}

dependencies {
    implementation libs.appcompat
    implementation libs.material
    implementation libs.activity
    implementation libs.constraintlayout

    implementation 'io.nexilis:nexilis-lite:3.2.45'
    implementation 'io.security:streamshield:3.2.45'

    testImplementation libs.junit
    androidTestImplementation libs.ext.junit
    androidTestImplementation libs.espresso.core
}
